Bug 1311134 - SSA action for RHEV templates should be disabled
SSA action for RHEV templates should be disabled
Status: CLOSED NOTABUG
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: SmartState Analysis (Show other bugs)
5.5.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.6.0
Assigned To: Rich Oliveri
Satyajit Bulage
rhev:template:smartstate
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-23 08:21 EST by Vadim Rutkovsky
Modified: 2016-05-31 13:20 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-31 13:20:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vadim Rutkovsky 2016-02-23 08:21:22 EST
Description of problem:
SSA cannot be completed for templates (as template cannot be associated with EVM server) so it should either be disable or a reasonable error message appear (same as for datastore SSA)

Version-Release number of selected component (if applicable):
5.5.2.4

How reproducible:
Always

Steps to Reproduce:
1. Add RHEV provider
2. Set credentials for all hosts, enable smartproxy role
3. Start SSA for a template on NFS-backed datastore

Actual results:
SSA action is available and fails 'No eligible proxies for VM ...' error

Expected results:
This action should be disabled for templates
or
Reasonable error message should appear for templates (same as for rhev datastores)

Additional info:
Comment 1 Dave Johnson 2016-02-25 17:08:51 EST
Vadim, is the CF appliance residing on the same NFS share that the VM being scanned is located?  I believe that is a requirement.  Did you set CFME Engine Relationship?
Comment 2 Vadim Rutkovsky 2016-02-25 17:29:51 EST
(In reply to Dave Johnson from comment #1)
> Vadim, is the CF appliance residing on the same NFS share that the VM being
> scanned is located?  I believe that is a requirement. 

No, the appliance is definitely on a different provider. I'll check if it works when those are on the same share.

> Did you set CFME Engine Relationship?

Its not possible to set one for a template
Comment 3 Vadim Rutkovsky 2016-03-09 06:42:10 EST
(In reply to Vadim Rutkovsky from comment #2)
> (In reply to Dave Johnson from comment #1)
> > Vadim, is the CF appliance residing on the same NFS share that the VM being
> > scanned is located?  I believe that is a requirement. 
> 
> No, the appliance is definitely on a different provider. I'll check if it
> works when those are on the same share.

The same error when template and appliance are on the same provider (reproduced on rhev35)
Comment 4 Oved Ourfali 2016-05-31 03:56:02 EDT
Greg - should this be disabled at the UI level?
Comment 5 Rich Oliveri 2016-05-31 09:55:22 EDT
SSA for RHEV templates is supported, so this should not be disabled at all.

Based on: https://bugzilla.redhat.com/show_bug.cgi?id=1311134#c2
it appears the reported has not set the CFME engine relationship - as the relationship is set on the appliance, not the target VM or template.
Comment 6 Oved Ourfali 2016-05-31 13:20:34 EDT
Based on Comment 5,closing as NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.